Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.customers.delete("customer_123");curl -X DELETE "https://api.priceos.com/v1/customers/customer_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Customers
Delete Customer
Delete a customer record.
DELETE
/
v1
/
customers
/
{customerId}
Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.customers.delete("customer_123");curl -X DELETE "https://api.priceos.com/v1/customers/customer_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}